aagc.vo

## Class PianoTerapeuticoResponse

- java.lang.Object
- - aagc.vo.PianoTerapeuticoResponse

-     public class PianoTerapeuticoResponse
      extends java.lang.Object

  Classe Java per pianoTerapeuticoResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="pianoTerapeuticoResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="assistito" type="{http://www.nsisr.puglia.it/Schemas/}assistibileResponse" minOccurs="0"/>
               <element name="struttura" type="{http://www.nsisr.puglia.it/Schemas/}strutturaErogatriceResponse" minOccurs="0"/>
               <element name="liberoProfessionista" type="{http://www.nsisr.puglia.it/Schemas/}liberoProfessionistaResponse" minOccurs="0"/>
               <element name="codPrescrittore" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataRedazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataCompilazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="indicazioneTerapeutica" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="numGiorniTrattamento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="primaPrescrizione" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="prosecuzioneCura" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="elencoPrestazioni" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="prestazionePrescritta" type="{http://www.nsisr.puglia.it/Schemas/}prestazionePrescrittaResponse" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PianoTerapeuticoResponse.ElencoPrestazioni` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AssistibileResponse` | `assistito`
    `protected java.lang.String` | `codPrescrittore`
    `protected java.lang.String` | `dataCompilazione`
    `protected java.lang.String` | `dataRedazione`
    `protected PianoTerapeuticoResponse.ElencoPrestazioni` | `elencoPrestazioni`
    `protected java.lang.String` | `indicazioneTerapeutica`
    `protected LiberoProfessionistaResponse` | `liberoProfessionista`
    `protected java.lang.String` | `numGiorniTrattamento`
    `protected boolean` | `primaPrescrizione`
    `protected boolean` | `prosecuzioneCura`
    `protected StrutturaErogatriceResponse` | `struttura`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PianoTerapeuticoResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssistibileResponse` | `getAssistito()` Recupera il valore della proprietà assistito.
    `java.lang.String` | `getCodPrescrittore()` Recupera il valore della proprietà codPrescrittore.
    `java.lang.String` | `getDataCompilazione()` Recupera il valore della proprietà dataCompilazione.
    `java.lang.String` | `getDataRedazione()` Recupera il valore della proprietà dataRedazione.
    `PianoTerapeuticoResponse.ElencoPrestazioni` | `getElencoPrestazioni()` Recupera il valore della proprietà elencoPrestazioni.
    `java.lang.String` | `getIndicazioneTerapeutica()` Recupera il valore della proprietà indicazioneTerapeutica.
    `LiberoProfessionistaResponse` | `getLiberoProfessionista()` Recupera il valore della proprietà liberoProfessionista.
    `java.lang.String` | `getNumGiorniTrattamento()` Recupera il valore della proprietà numGiorniTrattamento.
    `StrutturaErogatriceResponse` | `getStruttura()` Recupera il valore della proprietà struttura.
    `boolean` | `isPrimaPrescrizione()` Recupera il valore della proprietà primaPrescrizione.
    `boolean` | `isProsecuzioneCura()` Recupera il valore della proprietà prosecuzioneCura.
    `void` | `setAssistito(AssistibileResponse value)` Imposta il valore della proprietà assistito.
    `void` | `setCodPrescrittore(java.lang.String value)` Imposta il valore della proprietà codPrescrittore.
    `void` | `setDataCompilazione(java.lang.String value)` Imposta il valore della proprietà dataCompilazione.
    `void` | `setDataRedazione(java.lang.String value)` Imposta il valore della proprietà dataRedazione.
    `void` | `setElencoPrestazioni(PianoTerapeuticoResponse.ElencoPrestazioni value)` Imposta il valore della proprietà elencoPrestazioni.
    `void` | `setIndicazioneTerapeutica(java.lang.String value)` Imposta il valore della proprietà indicazioneTerapeutica.
    `void` | `setLiberoProfessionista(LiberoProfessionistaResponse value)` Imposta il valore della proprietà liberoProfessionista.
    `void` | `setNumGiorniTrattamento(java.lang.String value)` Imposta il valore della proprietà numGiorniTrattamento.
    `void` | `setPrimaPrescrizione(boolean value)` Imposta il valore della proprietà primaPrescrizione.
    `void` | `setProsecuzioneCura(boolean value)` Imposta il valore della proprietà prosecuzioneCura.
    `void` | `setStruttura(StrutturaErogatriceResponse value)` Imposta il valore della proprietà struttura.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### assistito

          protected AssistibileResponse assistito

    - #### struttura

          protected StrutturaErogatriceResponse struttura

    - #### liberoProfessionista

          protected LiberoProfessionistaResponse liberoProfessionista

    - #### codPrescrittore

          protected java.lang.String codPrescrittore

    - #### dataRedazione

          protected java.lang.String dataRedazione

    - #### dataCompilazione

          protected java.lang.String dataCompilazione

    - #### indicazioneTerapeutica

          protected java.lang.String indicazioneTerapeutica

    - #### numGiorniTrattamento

          protected java.lang.String numGiorniTrattamento

    - #### primaPrescrizione

          protected boolean primaPrescrizione

    - #### prosecuzioneCura

          protected boolean prosecuzioneCura

    - #### elencoPrestazioni

          protected PianoTerapeuticoResponse.ElencoPrestazioni elencoPrestazioni

  - ### Constructor Detail

    - #### PianoTerapeuticoResponse

          public PianoTerapeuticoResponse()

  - ### Method Detail

    - #### getAssistito

          public AssistibileResponse getAssistito()

      Recupera il valore della proprietà assistito.
      Returns:
        possible object is `AssistibileResponse`

    - #### setAssistito

          public void setAssistito(AssistibileResponse value)

      Imposta il valore della proprietà assistito.
      Parameters:
        `value` - allowed object is `AssistibileResponse`

    - #### getStruttura

          public StrutturaErogatriceResponse getStruttura()

      Recupera il valore della proprietà struttura.
      Returns:
        possible object is `StrutturaErogatriceResponse`

    - #### setStruttura

          public void setStruttura(StrutturaErogatriceResponse value)

      Imposta il valore della proprietà struttura.
      Parameters:
        `value` - allowed object is `StrutturaErogatriceResponse`

    - #### getLiberoProfessionista

          public LiberoProfessionistaResponse getLiberoProfessionista()

      Recupera il valore della proprietà liberoProfessionista.
      Returns:
        possible object is `LiberoProfessionistaResponse`

    - #### setLiberoProfessionista

          public void setLiberoProfessionista(LiberoProfessionistaResponse value)

      Imposta il valore della proprietà liberoProfessionista.
      Parameters:
        `value` - allowed object is `LiberoProfessionistaResponse`

    - #### getCodPrescrittore

          public java.lang.String getCodPrescrittore()

      Recupera il valore della proprietà codPrescrittore.
      Returns:
        possible object is `String`

    - #### setCodPrescrittore

          public void setCodPrescrittore(java.lang.String value)

      Imposta il valore della proprietà codPrescrittore.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataRedazione

          public java.lang.String getDataRedazione()

      Recupera il valore della proprietà dataRedazione.
      Returns:
        possible object is `String`

    - #### setDataRedazione

          public void setDataRedazione(java.lang.String value)

      Imposta il valore della proprietà dataRedazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataCompilazione

          public java.lang.String getDataCompilazione()

      Recupera il valore della proprietà dataCompilazione.
      Returns:
        possible object is `String`

    - #### setDataCompilazione

          public void setDataCompilazione(java.lang.String value)

      Imposta il valore della proprietà dataCompilazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getIndicazioneTerapeutica

          public java.lang.String getIndicazioneTerapeutica()

      Recupera il valore della proprietà indicazioneTerapeutica.
      Returns:
        possible object is `String`

    - #### setIndicazioneTerapeutica

          public void setIndicazioneTerapeutica(java.lang.String value)

      Imposta il valore della proprietà indicazioneTerapeutica.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumGiorniTrattamento

          public java.lang.String getNumGiorniTrattamento()

      Recupera il valore della proprietà numGiorniTrattamento.
      Returns:
        possible object is `String`

    - #### setNumGiorniTrattamento

          public void setNumGiorniTrattamento(java.lang.String value)

      Imposta il valore della proprietà numGiorniTrattamento.
      Parameters:
        `value` - allowed object is `String`

    - #### isPrimaPrescrizione

          public boolean isPrimaPrescrizione()

      Recupera il valore della proprietà primaPrescrizione.

    - #### setPrimaPrescrizione

          public void setPrimaPrescrizione(boolean value)

      Imposta il valore della proprietà primaPrescrizione.

    - #### isProsecuzioneCura

          public boolean isProsecuzioneCura()

      Recupera il valore della proprietà prosecuzioneCura.

    - #### setProsecuzioneCura

          public void setProsecuzioneCura(boolean value)

      Imposta il valore della proprietà prosecuzioneCura.

    - #### getElencoPrestazioni

          public PianoTerapeuticoResponse.ElencoPrestazioni getElencoPrestazioni()

      Recupera il valore della proprietà elencoPrestazioni.
      Returns:
        possible object is `PianoTerapeuticoResponse.ElencoPrestazioni`

    - #### setElencoPrestazioni

          public void setElencoPrestazioni(PianoTerapeuticoResponse.ElencoPrestazioni value)

      Imposta il valore della proprietà elencoPrestazioni.
      Parameters:
        `value` - allowed object is `PianoTerapeuticoResponse.ElencoPrestazioni`